## GnomeDbForm

GnomeDbForm — Form to display and modify data in a GdaDataModel, with command buttons and indicators

## Synopsis

                        GnomeDbForm;
                        GnomeDbFormClass;
                        GnomeDbFormPriv;
    GtkWidget*          gnome_db_form_new                   (GdaDataModel *model);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBox
                                     +----GtkVBox
                                           +----GnomeDbForm

## Implemented Interfaces

GnomeDbForm implements AtkImplementorIface.

## Properties

      "model"                    GdaDataModel          : Read / Write / Construct Only
      "raw-form"                 GnomeDbRawForm        : Read
      "widget-info"              GnomeDbDataWidgetInfo  : Read

## Description

A longer description goes here.

## Details

### GnomeDbForm

    typedef struct _GnomeDbForm GnomeDbForm;

### GnomeDbFormClass

    typedef struct {
    	GtkVBoxClass       parent_class;
    } GnomeDbFormClass;

### GnomeDbFormPriv

    typedef struct _GnomeDbFormPriv GnomeDbFormPriv;

### gnome_db_form_new ()

    GtkWidget*          gnome_db_form_new                   (GdaDataModel *model);

Creates a new GnomeDbForm widget suitable to display the data in `model`

`model` : | a GdaDataModel
Returns : | the new widget

## Property Details

### The "`model`" property

      "model"                    GdaDataModel          : Read / Write / Construct Only

### The "`raw-form`" property

      "raw-form"                 GnomeDbRawForm        : Read

### The "`widget-info`" property

      "widget-info"              GnomeDbDataWidgetInfo  : Read

## See Also

The GnomeDbRawForm widget which is being used in this widget, or the GnomeDbGrid widget which displays data in a grid instead of a form.